SpecializationUtil.registerSpecialization("Insurance", "Insurance", g_currentModDirectory .. "Insurance.lua");

InsuranceFunction = {};
InsuranceFunction.modDir = g_currentModDirectory;

function InsuranceFunction:loadMap(name)
  	if self.firstRun == nil then
		g_i18n.globalI18N.texts["PDAEFS_Euro"] = g_i18n:getText("PDAEFS_Euro");
		g_i18n.globalI18N.texts["PDAEFS_Versicherung"] = g_i18n:getText("PDAEFS_Versicherung");
		g_i18n.globalI18N.texts["PDAEFS_VersicherungInfo"] = g_i18n:getText("PDAEFS_VersicherungInfo");
		g_i18n.globalI18N.texts["PDAEFS_VersicherungGesamt"] = g_i18n:getText("PDAEFS_VersicherungGesamt");
		g_i18n.globalI18N.texts["PDAEFS_VersicherungFahrzeuge"] = g_i18n:getText("PDAEFS_VersicherungFahrzeuge");
		self.firstRun = false;
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil and (not SpecializationUtil.hasSpecialization(PathVehicle, v.specializations)) and (not SpecializationUtil.hasSpecialization(TrafficVehicle, v.specializations)) then
				table.insert(v.specializations, SpecializationUtil.getSpecialization("Insurance"));
			end;
		end;
	end;
end;
function InsuranceFunction:deleteMap()
end;
function InsuranceFunction:keyEvent(unicode, sym, modifier, isDown)
end;
function InsuranceFunction:mouseEvent(posX, posY, isDown, isUp, button)
end;
function InsuranceFunction:update(dt)
end;
function InsuranceFunction:draw()
end;

addModEventListener(InsuranceFunction);
